phing-tasks-ext

# Class: PackageAsPathTask Source Location: /tasks/ext/PackageAsPathTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PackageAsPathTask
Convert dot-notation packages to relative paths. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Id: PackageAsPathTask.php 526 2009-08-11 12:11:17Z mrook $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $name $pckg | ### Methods main setName setPackage
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 32] Convert dot-notation packages to relative paths. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Id: PackageAsPathTask.php 526 2009-08-11 12:11:17Z mrook $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### $name = [line 38] The value to store the conversion in. #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $pckg = [line 35] The package to convert. #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method main [line 44]
`void main( )`
Executes the package to patch converstion and stores it in the user property value . #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setName [line 60]
`void setName( string $name)`
#### Tags:
access: | public
#### Parameters:
string | $name | the Ant variable to store the path in
[ Top ] ### method setPackage [line 52]
`void setPackage( string $pckg)`
#### Tags:
access: | public
#### Parameters:
string | $pckg | the package to convert
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:21 +0200 by phpDocumentor 1.4.3